|  | Home · All Classes · Modules

# QByteArrayMatcher Class Reference
[QtCore module]

The QByteArrayMatcher class holds a sequence of bytes that can be quickly matched in a byte array. More...

### Methods

- __init__ (self)
- __init__ (self, QByteArray pattern)
- __init__ (self, QByteArrayMatcher other)
- int indexIn (self, QByteArray ba, int from = 0)
- QByteArray pattern (self)
- setPattern (self, QByteArray pattern)

## Detailed Description

The QByteArrayMatcher class holds a sequence of bytes that can be quickly matched in a byte array.

This class is useful when you have a sequence of bytes that you want to repeatedly match against some byte arrays (perhaps in a loop), or when you want to search for the same sequence of bytes multiple times in the same byte array. Using a matcher object and indexIn() is faster than matching a plain QByteArray with QByteArray.indexOf() if repeated matching takes place. This class offers no benefit if you are doing one-off byte array matches.

Create the QByteArrayMatcher with the QByteArray you want to search for. Then call indexIn() on the QByteArray that you want to search.

## Method Documentation

### QByteArrayMatcher.__init__ (self)

Constructs an empty byte array matcher that won't match anything. Call setPattern() to give it a pattern to match.

### QByteArrayMatcher.__init__ (self, QByteArray pattern)

Constructs a byte array matcher that will search for pattern. Call indexIn() to perform a search.

### QByteArrayMatcher.__init__ (self, QByteArrayMatcher other)

Constructs a byte array matcher from pattern. pattern has the given length. pattern must remain in scope, but the destructor does not delete pattern.

### int QByteArrayMatcher.indexIn (self, QByteArray ba, int from = 0)

Searches the byte array ba, from byte position from (default 0, i.e. from the first byte), for the byte array pattern() that was set in the constructor or in the most recent call to setPattern(). Returns the position where the pattern() matched in ba, or -1 if no match was found.

### QByteArray QByteArrayMatcher.pattern (self)

Returns the byte array pattern that this byte array matcher will search for.

See also setPattern().

### QByteArrayMatcher.setPattern (self, QByteArray pattern)

Sets the byte array that this byte array matcher will search for to pattern.

See also pattern() and indexIn().